> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve fees

> Retrieve transaction fees.



## OpenAPI

````yaml Flutterwave_v4_Open_API.json get /fees
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /fees:
    get:
      tags:
        - Fees
      summary: Retrieve fees
      description: Retrieve transaction fees.
      operationId: fees_get
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - $ref: '#/components/parameters/amount'
        - $ref: '#/components/parameters/card6'
        - $ref: '#/components/parameters/country'
        - $ref: '#/components/parameters/currency'
        - $ref: '#/components/parameters/network'
        - $ref: '#/components/parameters/payment_method'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    type: object
                    additionalProperties: false
                    properties:
                      charge_amount:
                        type: number
                        format: decimal
                      fee:
                        $ref: '#/components/schemas/fees'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
    amount:
      in: query
      name: amount
      schema:
        type: number
        format: decimal
      required: true
      description: The amount in decimal format.
      example: 12.34
    card6:
      in: query
      name: card6
      schema:
        type: string
      required: false
      description: >-
        The card BIN (Bank Identification Number)—the first six digits of the
        card number.
      example: '424242'
    country:
      in: query
      name: country
      schema:
        type: string
      required: false
      description: The ISO 3166-1 alpha-2 country code.
      example: NG
    currency:
      in: query
      name: currency
      schema:
        type: string
      required: true
      description: ISO 4217 currency code.
      example: NGN
    network:
      in: query
      name: network
      schema:
        type: string
      required: false
      description: The network for Mobile Money transaction.
      example: MTN
    payment_method:
      in: query
      name: payment_method
      schema:
        type: string
      required: true
      description: The Payment method of the transaction.
      example: card
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    fees:
      type: array
      description: Fees charged on payment amount
      items:
        type: object
        properties:
          type:
            type: string
            description: >-
              The specific type of fee. i.e., "vat", "app", "merchant",
              "stamp_duty".
            example: vat
          amount:
            type: number
            format: decimal
            description: The fee amount in decimal format.
            example: 12.3
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````